using System;
using System.Reflection;

internal sealed class Delegate792 : MulticastDelegate
{
	public extern Module Invoke(object object_0);

	public static Module smethod_0(object object_0, Delegate792 delegate792_1)
	{
		return delegate792_1(object_0);
	}

	public extern Delegate792(object object_0, IntPtr intptr_0);

	static Delegate792()
	{
		Class10.smethod_13(typeof(Delegate792).TypeHandle);
	}

	internal static Delegate792 delegate792_0;
}
